Method: projects.locations.fetchStaticIps

Fetches a set of static IP addresses that need to be allowlisted by the customer when using the static-IP connectivity method.

HTTP request


GET https://datamigration.googleapis.com/v1/{name}:fetchStaticIps

Path parameters

Parameters
name

string

Required. The resource name for the location for which static IPs should be returned. Must be in the format projects/*/locations/*.

Authorization requires the following IAM permission on the specified resource name:

  • datamigration.locations.fetchStaticIps

Query parameters

Parameters
pageSize

integer

Optional. Maximum number of IPs to return.

pageToken

string

Optional. A page token, received from a previous locations.fetchStaticIps call.

Request body

The request body must be empty.

Response body

Response message for a 'locations.fetchStaticIps' request.

If successful, the response body contains data with the following structure:

JSON representation
{
  "staticIps": [
    string
  ],
  "nextPageToken": string
}
Fields
staticIps[]

string

List of static IPs.

nextPageToken

string

A token that can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-datamigration

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • datamigration.locations.fetchStaticIps

For more information, see the IAM documentation.